HierarchyEntityControllerGetHierarchy Method

GET /HierarchyEntity/ Gets a hierarchy.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpGetAttribute]
[ActionNameAttribute("Index")]
public IActionResult GetHierarchy(
	Guid id,
	Guid? sessionId = null,
	LevelPopulationPolicy levelPopulationPolicy = LevelPopulationPolicy.Auto
)

Parameters

id
Type: SystemGuid
The ID of the hierarchy to get.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.
levelPopulationPolicy (Optional)
Type: Dundas.BI.WebApi.ModelsLevelPopulationPolicy
The level population policy to be used. This is only applicable to Ragged Hierarchies. The default value is Auto.

Return Value

Type: IActionResult
A HierarchyEntityData or RaggedHierarchyEntityData object containing the hierarchy, or a status code indicating the problem.
See Also